#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages


with open('README.md') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

with open("requirements.txt", "r") as fh:
    requirements = fh.read().splitlines()


setup_requirements = ['pytest-runner', ]

test_requirements = ['pytest>=3', ]


setup(
    author="Saiwing Yeung",
    author_email='saiwing.yeung@gmail.com',
    python_requires='>=3.5',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="blah",
    entry_points={
        'console_scripts': [
            'ds_tools=ds_tools.cli:main',
        ],
    },
    install_requires=requirements,
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='data-science-tools',
    name='data-science-tools',
    packages=find_packages(include=['ds_tools', 'ds_tools.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/saiwing-yeung/ds_tools',
    version='0.1.3',
    zip_safe=False,
)
